package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysMessage;
import com.patzn.lims.sys.entity.SysUserRelMessage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户消息关联表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-18
 */
public interface ISysUserRelMessageService extends IBaseService<SysUserRelMessage> {

    Page<SysUserRelMessage> page(Page<SysUserRelMessage> page, SysUserRelMessage sysUserRelMessage);

    List<Map<String, Object>> selectTypeCountMapList(Long currentUserId);

    List<SysMessage> selectMyMessage(Long userId, int type);

    List<Long> listPersonsByLabelUri(Long companyId, String uri);


    boolean save(SysMessage sysMessage, List<Long> userIds);
}
